from sumaexcel import SumasenExcel
import logging

# 初期化
# 初期化
variables = {
    "zekken_number":"5033",
    "event_code":"FC岐阜",
    "db":"rogdb",
    "username":"admin",
    "password":"admin123456",
    "host":"localhost",
    "port":"5432"
}
excel = SumasenExcel(document="test", variables=variables, docbase="./testdata")

logging.info("Excelファイル作成 step-1")

# シート初期化
ret = excel.make_report(variables=variables)
logging.info(f"Excelファイル作成 step-2 : ret={ret}")
if ret["status"]==True:
    filepath=ret["filepath"]
    logging.info(f"Excelファイル作成 : ret.filepath={filepath}")
else:
    message = ret.get("message", "No message provided")
    logging.error(f"Excelファイル作成失敗 : ret.message={message}")

